{
  pkgs
, lib
, python3Packages
, fetchFromGitea
}:

python3Packages.buildPythonPackage rec {
  pname = "keyrings.gopass";
  version = "1.0.0";

  src = fetchFromGitea {
    domain = "git.polynom.me";
    owner = "PapaTutuWawa";
    repo = pname;
    rev = "9c3cd59e7f5ce0a742b238ff0c4761db28344713";
    sha256 = "1dg3a6zx3cm9vwsqgkmc604n3fqb760nsmnrfwyfv7y5bmh5822x";
  };
  
  nativeBuildInputs = with python3Packages; [ setuptools setuptools-scm ];
  
  doCheck = false;
  
  meta = with lib; {
    homepage = "https://git.polynom.me/PapaTutuWawa/keyrings.gopass";
    description = "A python-keyring plugin for gopass";
    license = licenses.gpl3;
    maintainers = [];
    platforms = platforms.linux;
  };
}
